'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Watson Analytics (C) Copyright IBM Corp.  2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['original/dashboard-analytics/filters/dock/FilterContainerView'], function (FilterContainerView) {
  var TabWidgetFilterContainerView = function (_FilterContainerView) {
    _inherits(TabWidgetFilterContainerView, _FilterContainerView);

    function TabWidgetFilterContainerView() {
      _classCallCheck(this, TabWidgetFilterContainerView);

      return _possibleConstructorReturn(this, _FilterContainerView.apply(this, arguments));
    }

    TabWidgetFilterContainerView.prototype.onScopeChanged = function onScopeChanged(source) {
      if (!source.isTabWidget) {
        this.tabDock.changeScope(source.modelId);
      }
    };

    return TabWidgetFilterContainerView;
  }(FilterContainerView);

  ;

  return TabWidgetFilterContainerView;
});
//# sourceMappingURL=TabWidgetFilterContainerView.js.map