'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * Licensed Materials - Property of IBM
 * IBM Cognos Products: BI Cloud (C) Copyright IBM Corp. 2020
 * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
define(['original/dashboard-core/js/features/dashboard/actions/deleteAction/DeleteAction', 'jquery'], function (DeleteAction, $) {
	var TabWidgetDeleteAction = function (_DeleteAction) {
		_inherits(TabWidgetDeleteAction, _DeleteAction);

		function TabWidgetDeleteAction() {
			_classCallCheck(this, TabWidgetDeleteAction);

			return _possibleConstructorReturn(this, _DeleteAction.apply(this, arguments));
		}

		TabWidgetDeleteAction.prototype.deleteKeyPress = function deleteKeyPress(idList, e) {
			var target = e.srcElement || e.target;
			// Skip delete key on inner tap edit
			if ($(target).closest('.is-selected.is-label.is-editable').length) {
				return;
			}
			_DeleteAction.prototype.deleteKeyPress.call(this, idList, e);
		};

		return TabWidgetDeleteAction;
	}(DeleteAction);

	return TabWidgetDeleteAction;
});
//# sourceMappingURL=TabWidgetDeleteAction.js.map